EDITARE

Programele de proiectare asistata recunosc obiectele cu care lucreaza (linii, arce, etc.) prin numere stocate intr-o baza de date. AutoCAD-ul pastreaza aceste numere in liste de forma: ((0 . "LINE") (8 . "0") (6 "DASHED") (10 100.0 100.0 0.0) (11 100.0 200.0 0.0) (210 0.0 0.0 1.0)) Aceasta este o parte a unei liste asociate unei entitati de tip "LINE", alcatuita, dupa cum se vede, din mai multe subliste. Sirurile care apar in aceste liste sunt reprezentate in memoria calculatorului prin coduri numerice corespunzatoare. Editarea unei entitati presupune modificarea uneia dintre sublistele ce-i sunt asociate, sau crearea de noi entitati pe baza sublistelor corespunzatoare entitatii selectate. Astfel, se poate schimba culoarea unui obiect, tipul de linie sau stratul, se pot muta obiectele selectate sau pot fi copiate, rotite, etc. Un obiect este o entitate sau o colectie de entitati . Pentru a modifica unul sau mai multe obiecte, acestea trebuie selectate, operatie in urma careia se creeaza o multime de selectie (selection set), reprezentata punctat pe ecran. Exista in AutoCAD doua moduri de selectare, folosite de comenzile de editare in functie de specificul lor. Un mod de selectare este prin multimi de selectie, folosind comanda SELECT. Celalalt consta in selectarea unei singure entitati prin punctare, adica prin indicarea unui punct de pe entitatea respectiva. Rezultatul acestei operatii este de forma ((-1 . <Entity name:6000018>) (10 100.0 100.0 0.0)). -entitatea selectata si punctul prin care s-a facut selectarea. Vom numi acest mod de selectare ENTSEL (prin analogie cu (entsel) din AutoLISP).

Comanda SELECT
Desi exista o comanda cu acest nume, SELECT nu produce modificari in desen decat atunci cand este folosita ca subcomanda de catre alte comenzi de editare. Multimea de selectie dispare din memorie odata cu crearea unei multimi noi. O multime de selectie cu viata lunga (pana la abandonarea sesiunii curente de desenare) poate fi creata cu ajutorul AutoLISP-ului. La apelarea comenzii SELECT apare in linia de dialog prompterul "Select objects: ", iar in zona de desenare un patratel selector (pickbox). Modul implicit de selectare a unui obiect este punctarea, adica asezarea patratelului selector pe obiectul respectiv si apasarea tastei Enter sau a butonului corespunzator al dispozitivului de intrare (mouse). Marimea selectorului poate fi controlata prin intermediul variabilei PICKBOX. Celelalte optiuni sunt:

Window Se cer doua colturi care definesc un dreptunghi. Dupa introducerea celui de-al doilea colt, vor fi selectate entitatile complet incluse in dreptunghi. Crossing Se defineste un dreptunghi, ca la Window, dar vor fi selectate si entitatile care se intersecteaza cu laturile dreptunghiului (crossing = intersectie). Box Se defineste un dreptunghi ca la Crossing daca al doilea colt este la stanga primului colt si ca la Window daca este invers. Auto Creeaza automat un Box daca punctul indicat nu selecteaza nici o entitate. Last Selecteaza ultima entitate desenata. Previous Selecteaza multimea de selectie definita anterior; aceasta optiune este utila atunci cand mai multe comenzi se aplica aceleiasi multimi. SELECT se poate folosi independent de alte comenzi pentru a crea o multime de selectie ce va fi apelata apoi prin optiunea "Previous". Multiple La fiecare operatie de selectare, AutoCAD-ul scaneaza intreaga baza de date, procedeu lent in cazul desenelor complexe. Optiunea Multiple face ca baza de date sa fie scanata o singura data pentru toate entitatile care vor face parte din multimea definita cu comanda SELECT respectiva. Dupa aceasta optiune se admite un singur mod de selectie. Single Selecteaza o singura entitate. Undo Determina efectuarea unui pas inapoi in timpul selectarii (anuleaza ultima operatie de includere de entitati in multime). Remove Permite eliminarea din multime a entitatilor ce vor fi selectate (impreuna cu Add formeaza un comutator). In continuare sunt admise optiunile W, C si celelalte, dar entitatile selectate vor fi scoase din multime. Add Dupa Remove, determina reluarea operatiilor de includere de entitati in multime.

Copy Cu ajutorul acestei comenzi se pot obtine copii ale obiectelor deja existente in desen. centrele arcelor sau cercurilor). Second point of displacement: -un punct punctul de pe copie corespunzator punctului de referinta. pot fi introduse si de la tastatura. poate fi definit si introducand distanta de la punctul de referinta. "Base point" reprezinta punctul de referinta. din coordonatele lor se va calcula distanta dintre ele. deci nici copia lui nu va fi inclusa in baza de date (sunt puncte ajutatoare). capetele liniilor. avand modificate doar sublistele care contin coordonatele punctelor ce definesc entitatile respective (puncte de inserare. 1 found -aici AutoCAD ne spune ce a facut Select objects: Enter incheierea selectarii <Base point or displacement>/ Multiple: un punct sau "M" se introduce un punct de referinta sau "M" pentru copiere multipla. Comenzi de editare Comenzile de editare pot fi gasite in meniul ecran (Screen menu) "Edit" sau in meniul desfasurabil (pull-down menu) "Modify". Ctrl-C Determina abandonarea comenzii. multimea de selectie este pierduta (nu poate fi apelata cu Previous la urmatoarea selectie). Punctul de referinta nu este un punct din baza de date a AutoCAD-ului. Cand introducem doua puncte. care va fi folosita pentru efectuarea translatiei. . Bineinteles. In baza de date vor fi adaugate copii ale listelor corepunzatoare entitatilor copiate.t3 sunt componentele vectorului de translatie. Dialogul este urmatorul: Command: Copy lansarea comenzii COPY Select objects: selectare (vezi comanda SELECT) 1 selected. Copierea consta in translatia punctelor din listele cu constructori 10-18 si redesenarea obiectelor copiate in functie de punctele obtinute.t2. "Displacement" este distanta dintre punctul de referinta si copia sa (deplasarea). O translatie este definita de operatiile: x2=x1+t1 y2=y1+t2 z2=z1+t3 t1.Enter Determina incheierea comenzii SELECT.

0 20.. Cererea celui de-al doilea punct se va repeta pana cand la "Second point:" se va raspunde cu Enter. De exemplu.) Exemplu: figura ACAD4_1. (10 10. atunci apare cererea: .0) . Ca la comanda COPY.0 0.0 5..0 25.0 1.0 10.0 15.0) Al doilea punct: (5..0 6.0 0. Array ARRAY este o comanda de copiere multipla.0 10.In cazul copierii multiple (optiunea "M") se va cere din nou punctul de baza al deplasarii (Base point:). Iata dialogurile corespunzatoare celor doua variante: Command: Array lansarea comenzii ARRAY Select objects: select -subcomanda SELECT Select objects: Enter Rectangular or polar array(R/P) R selectarea modului de lucru a comenzii ARRAY (tablou rectangular) Number of rows(---) <1>: 14 numarul de linii Number of columns(///) <1>: 3 numarul de coloane Unit cell or distance between rows (---) : -12 distanta intre linii (poate fi si negativa.) Punctul de referinta: (1. multiplicarea se va face in sensul negativ al axei Ox) Distance between columns (///): 12 distanta intre coloane (si ea ar putea fi negativa) Liniile dintre paranteze indica directia orizontala (---) sau verticala (///)...0) Vectorul t va avea componentele: (4.0 0.0 10. Obiectele copiate vor fi dispuse sub forma de matrice sau pe un contur circular. apoi cel de-al doilea punct..0) (11 10. (10 14. in functie de modul (rectangular/polar) ales..0) .0) (11 14. pentru o linie avem lista: (. Daca (la cererea "Unit cell or distance between rows (---):") in locul unei distante se introduce un punct de pe ecran.0 10.BMP..0 10.0) Noua linie va fi: (. listele entitatilor create vor fi adaugate la baza de date.

Move Cu comanda MOVE se pot muta entitati sau grupuri de entitati in alta zona a desenului. ce va reprezenta celula de multiplicat. Array polar .BMP. dar obiectele initiale vor fi sterse de pe ecran. punem semnul "-" inaintea valorii unghiului (cw = "clockwise"). Este similara comenzii COPY. Exemple: Array rectangular . se modifica doar sublistele corespunzatoare punctelor (listele de coordonate).ACAD4_2.BMP.Other corner: .-=ccw) <360>: Enter marimea arcului de cerc pe care vor fi asezate celulele Rotate objects as they are copied? <Y>: se copiaza.ACAD4_3. iar deplasarea colimatorului va determina crearea unei ferestre. optiunea "Multiple" nu mai are sens. Y entitatile vor fi aliniate cu conturul pe care Daca sensul unghiului specificat este orar (unghi mai mic de 360 de grade). Pentru ARRAY polar dialogul este: Command: Array lansarea comenzii ARRAY Select objects: select -subcomanda SELECT Select objects: Enter Rectangular or polar array(R/P) P selectarea modului de lucru polar Center point of array: punct alegerea centrului conturului pe care se face multiplicarea Number of items: 4 numarul de celule Angle to fill (+=ccw. Rezultatul va fi copierea figurii selectate pe un contur determinat de un arc de cerc (sau un cerc). deci dispare. Dialogul va fi: Command: Move lansarea comenzii MOVE Select objects: select -subcomanda SELECT Select objects: Enter . Nu se adauga noi liste de entitati in baza de date.

Exemplul de la COPY este valabil si aici. pentru rotirea unui arc (oglindirea unui semicerc fata de diametru): . AutoCAD va calcula unghiul de rotatie facand diferenta dintre unghiul curent si noul unghi. De exemplu. unde u este unghiul de rotatie. Operatia efectuata este o rotatie definita prin: x2=x1*cos(u)-y1*sin(u) y2=x1*sin(u)+y1*cos(u) . ci se modifica cele existente. cu vectorul de translatie definit prin introducerea celor doua puncte (sau a distantei). Daca unghiul curent nu este cunoscut. curenta>: 45 (acesta devine unghi curent) New angle: 20 (unghiul final). Transformarea nu se va aplica numai punctelor din listele 10-18. se pot selecta doua puncte de pe una din entitatile ce vor fi rotite (pentru precizie se poate folosi OSNAP).y2 sunt coordonatele punctului inainte si respectiv dupa rotatie. x1.Base point or displacement: punct punctul de referinta Second point of displacement: punct al doilea punct (vezi comanda COPY) Ca si la comanda COPY. Prin aceasta nu se creeaza noi entitati. ci si unghiurilor (listele 50-58). Daca se alege "Reference". Dialogul va fi: Reference angle <val. se face o translatie.y1 si x2. Dialogul: Command: Rotate lansarea comenzii ROTATE Select objects: select -subcomanda SELECT Select objects: Enter Base point: punct punctul de referinta <Rotation angle>/Reference: 90 unghiul de rotatie in grade Punctul de referinta este punctul in jurul caruia se rotesc obiectele selectate.lista initiala: . Unghiul de rotatie va fi 45-20=25. Rotate Obiectele desenate pot fi rotite.

0 10..(.. noul diametru..y2 sunt coordonatele relative la punctul de referinta).transformarea coordonatelor (translatia punctelor): x2=x1*cos(u)-y1*sin(u)= -10 y2=x1*sin(u)+y1*cos(u)= -10 . Nu se creeaza noi entitati. inaltimea textului): d2=S*d1. Dialogul este asemanator cu cel de la ROTATE. (10 -10. iar x1.0 -10. iar asupra distantelor (de ex.. dar in locul unghiului de rotatie se va cere factorul de scara. etc.) Exemplu: ACAD4_4..0) (51 2.0) .. (10 10. dialogul s-ar fi incheiat. Dialogul este: Command: Scale lansarea comenzii SCALE Select objects: select -subcomanda SELECT Select objects: Enter Base point: punct punctul de referinta <Scale factor>/Reference: R AutoCAD va calcula factorul de scara Reference length<1>: distanta (numar) o distanta de referinta (lungimea unei linii. Vor fi afectate deci punctele de inserare.. (50 1. capetele liniilor.. adica 1 rad.lista rezultata: (. (50 0... scarile la care sunt reprezentate blocurile.0 0.. diametrul unui cerc. Scale Comanda SCALE se foloseste pentru a ajusta dimensiunile unui grup de obiecte. etc. Daca in loc de "R" s-ar fi introdus un numar.) .y1 si x2. centrele arcelor si cercurilor. .0 0. inaltimea textului.0) .rotatia se face cu 180 de grade.0) (51 1.) New length: numar noua lungime a liniei. iar la cele existente se vor modifica listele care se refera la dimensiuni. Factorul de scara va rezulta prin compararea celor doua distante introduse. nemaifiind necesara calcularea factorului de scara. . adica cele cu constructor 10-18 si 40-48. etc. razele. Transformarile efectuate asupra punctelor sunt: x2=S*x1 y2=S*y1 (S este factorul de scara.0) ..0) .BMP.

in cazul simetriei dupa o axa verticala. iar pe x -1. Exemplu: ACAD4_6. punctul de referinta (corespunzator comenzii SCALE) fiind un punct de pe axa de simetrie. N sau Y AutoCAD vrea sa stie daca pastreaza si obiectele selectate.BMP. Mirror Cu MIRROR se pot obtine simetricele obiectelor selectate fata de o axa de simetrie data.BMP Erase ERASE este comanda cu care se pot elimina din desen entitatile nedorite. Pentru aceasta. Dialogul cu AutoCAD-ul: Command: Mirror lansarea comenzii MIRROR Select objects: select -subcomanda SELECT Select objects: Enter First point of mirror line: punct un punct de pe axa de simetrie Second point: punct alt punct de pe axa de simetrie Delete old objects? <N>: Enter. Valorile lor sunt calculate de catre AutoCAD si nu afecteaza dimensiunile obiectelor. factorul de scara pe y este 1. Transformarile sunt asemanatoare cu cele de la SCALE. Dialogul: Command: Erase lansarea comenzii ERASE Select objects: select -subcomanda SELECT Select objects: Enter -acum se sterg obiectele selectate . De exemplu. la apasarea tastei Enter ele dispar de pe ecran. dar factorii de scara pe x si y sunt diferiti. se selecteaza (cu SELECT) entitatile ce vor fi sterse.Exemplu: ACAD4_5. sau numai simetricele lor.

1) (39 1.) LA -schimba stratul New layer name <0>: 1 -noul strat este "1" Change what property (. apelam comanda OOPS.. "0") (6 ... CHPROP schimba proprietatile entitatilor./LType/. Change (Chprop) CHANGE si CHPROP sunt comenzi care servesc la schimbarea caracteristicilor uneia sau mai multor entitati (selectate prin SELECT)... deoarece toate punctele vor avea coordonata Z./Elevation... dar sunt salvate intr-o stiva speciala a comenzii ERASE./LAyer/. Aceasta foloseste la corectarea stergerilor gresite. tipul de linie. iar la urmatoarele cereri ("To point:").) LT -schimba tipul liniei .) e -schimba elevatia (coord. (8 . Modificarea sublistelor de mai sus se face urmand dialogul: Command: Chprop lansarea comenzii CHPROP Select objects: select -subcomanda SELECT Select objects: Enter Change what property (Color/ Elevation/ LAyer/ LType/ Thickness)? c -schimba culoarea New color (red): 2 -noua culoare va fi 2 (galben) Change what property (. culoarea.0 0.. o linie 2D va accepta la cererea "From point:" un punct 3D (x...0) .0 1. Astfel.Listele corespunzatoare entitatilor sterse dispar din baza de date. coordonata Z fiind aceeasi cu coord..z). si acestea reapar pe ecran.0): 10 Change what property (. continutul stivei este inlocuit cu noile entitati selectate. Z) New elevation (1... elevatia si adancimea. Z a primului punct. Daca am sters din greseala niste entitati de care mai avem nevoie. numai puncte 2D (x.. astfel incat vor fi retinute mereu elementele sterse cu ultima comanda ERASE. "CONTINUOUS") (62 . adica stratul.y)... Obiectele 2D vor avea elevatia (Z) determinata de primul punct (cod DXF 10). Sublistele modificate sunt: (.y.) Elevatia nu mai apare incepand cu AutoCAD Release 11.0) (10 0. La fiecare apelare a comenzii.

apar optiunile (dupa SELECT): Properties/ <Change point>: Daca raspunsul este "P".0 13.) sau. poliliniilor sau arcelor.0 0.. (10 0. cu aceeasi lista initiala: . "1") (6 .New linetype <CONTINUOUS>: DASHED -linie intrerupta Change what property (..0 0. acum se vor observa rezultatele modificarilor pe ecran..0 10..0 10.. "LINE") .0 0...) La apelarea comenzii CHANGE.0 0. (0 ....0 0.0 13....lista rezultata: (. "DASHED") (62 ..0 10.) Se observa ca se modifica cel mai apropiat capat al liniei (fata de punctul introdus).punctul selectat: (12.0) . "LINE") .. (8 .0 3. ..0 0.. "LINE") ...razele cercurilor.0 3..0) .0) .punctul selectat: (0..noua lista a liniei: (.. Lista rezultata va fi: (. (0 .0) (10 0.0 0.punctele de inserare a blocurilor sau textelor. se trece automat in comanda CHPROP. 2) (39 0.0 0...0) .)? Optiunea implicita este "Change point". (10 0. aparand prompterul: Change what property (. (0 ../Thikness)? t -schimba grosimea New thickness: 0 Change what property (. Exemplu: . Se pot modifica: . Coordonatele punctului introdus vor inlocui coordonatele stocate intr-una din listele 1018..)? Enter -incheierea comenzii.0) (11 10. (10 0.0 0. ..0 0. .0) .capetele liniilor.0) (11 12..) ..0) .0 0.lista initiala a unei linii selectate: (..0) (11 10. Se asteapta selectarea unui punct.

..punctul de inserare a textului . Pentru a modifica o entitate.0 -cercul rezultat: (. textelor.Comanda CHANGE poate fi folosita si pentru modificarea cercurilor.) . (0 .0) .0 0. (0 .0) (40 25. blocurilor si atributelor. Editarea unei asemenea entitati folosind CHANGE este mai rapida decat stergerea cu ERASE si redesenarea entitatii.0 0. "CIRCLE") ... ci de modificarea unei liste existente..cercul original: (. Modificarea cercurilor Daca in multimea de selectie exista un cerc.0 0.stilul (fontul) .. (10 0. (10 0.0) (40 10.0) ... Deasemenea. dialogul trebuie sa inceapa astfel: Command: Change Select objects: Select Select objects: Enter Properties/ <Change point>: Enter Daca am raspuns cu Enter la ultima cerere... Noul stil trebuie sa fi fost in prealabil definit prin comanda STYLE. se va trece la modificarea fiecarei entitati din multimea de selectie creata. cand se ajunge cu modificarea la el apare cererea: Enter circle radius: Acum va trebui specificata noua raza. .) Atentie! Nu este vorba de crearea unei noi liste.textul propriu-zis (sirul de caractere).raza noua: 25.0 0.unghiul de rotatie .inaltimea textului .. "CIRCLE") . in functie de tipul ei. Modificarea textelor Se pot modifica: . exista comenzi de editare mai rapide si mai usor de utilizat decat CHANGE (cum ar fi SCALE pentru schimbarea razei unui cerc). Exemplu: ..

selecteaza un text 1 selected.0) (1 . asa ca acum e randul lor. altfel se introduce numele noului stil. sau Enter pentru pastrarea punctului vechi.5) (7 .) In aceasta lista se vor modifica sublistele corespunzatoare caracteristicilor textului modificate prin dialogul de mai jos. 0..noul punct de inserare a textului.. iar selectarea entitatilor de extins se face prin punctare. 5.5>: Enter . 0.Exemplu: .. New heigh <0.. sau un arc).. (0 ..0) (1 . "TEXT") .0 0. 5..acelasi unghi New text <text 1>: text 2 . Selectarea conturului se face prin subcomanda SELECT. Extend EXTEND determina prelungirea unei entitati (sau a mai multor entitati. selectate pe rand. "S0") .noul text Noua lista a textului: (.0) (40 .0 0.0) (40 . "text 2") (50 .0 0.trece in modul "change entity" Enter text insertion point: punct . Text style: S0 New style or Return for no change: Enter .aceeasi inaltime New rotation angle <0>: Enter . (10 0.Enter = pastreaza acelasi stil.5) (7 ..am selectat un text Select objects: Enter Properties/ <Change point>: Enter . "S0") .) Acestea au fost principalele comenzi de editare care utilizeaza comanda SELECT. Dialogul: Command: Change lansarea comenzii CHANGE Select objects: select -subcomanda SELECT .. 1 found . Urmeaza comenzile care folosesc pentru selectare ENTSEL.. (0 . Comenzile TRIM si EXTEND folosesc ambele moduri de selectare.. (10 0. . Conturul nu trebuie sa fie neaparat inchis (poate fi si o singura linie. una cate una) pana la intersectarea ei cu un contur selectat anterior.0 0. "TEXT") . "text 1") (50 ..lista initiala a unui text: (.

am selectat un contur Select objects: Enter .BMP Trim TRIM este o comanda similara comenzii EXTEND. Select objects: select -subcomanda SELECT . Nu se poate aplica blocurilor..incheierea subcomenzii SELECT <Select objects to extend>/ Undo: punct . Exemplu de dialog: Command: Extend . Dialog: Command: Trim lansarea comenzii TRIM Select cutting edge(s).incheierea subcomenzii SELECT <Select objects to trim>/ Undo: punct . pentru a fi scurtate). se modifica doar sublistele 10. 3 found . 11 sau 50. 3 found .Aceasta comanda nu determina aparitia de noi entitati in baza de date.. deci rezulta patru capete.selectarea prin punctare a entitatii ce trebuie scurtata (se repeta pana la apasarea tastei Enter) Exemplu: ACAD4_8. care determina doua entitati. in locul uneia).selectarea prin punctare a entitatii ce trebuie extinse (se repeta pana la apasarea tastei Enter. 51 pentru arce.selecteaza conturul de taiere 3 selected.am selectat un contur Select objects: Enter . Apare o noua entitate numai daca se elimina o portiune din mijloc (pe langa cele doua capete originale.BMP .. Select objects: select -subcomanda SELECT .lansarea comenzii EXTEND Select boundary edge(s). dar entitatile selectate se vor "tunde" dupa conturul selectat anterior. Ca si EXTEND. sau a butonului corespunzator al mouseului) <Select object to extend>/ Undo: Enter .selecteaza conturul pana la care se vor extinde entitatile 3 selected. mai apar doua capete ale portiunii eliminate. ci doar modificarea listelor entitatilor selectate (cele selectate prin punctare. sau in locul unui cerc apare un arc.incheierea comenzii EXTEND Exemplu: ACAD4_7.. nu determina aparitia in baza de date a unor noi entitati.

.0 0.0 0..0) (11 10.. stergand o a treia parte.0 0.0 Command: Lista liniei originale devine: (. pentru ca ar duce la transformarea cercului intr-un arc de 360 de grade (si unul de 0 grade).0 0.0) .al doilea punct (al doilea capat al segmentului eliminat) De exemplu. (0 . (10 7. (0 .Break Folosind comanda BREAK...0 0.0) . in plus. In baza de date se modifica listele corespunzatoare capetelor liniei sau arcului selectat (pentru arc se schimba unghiul de inceput si sfarsit.0.. ceea ce nu este posibil. Pentru eliminarea unei portiuni dintr-un cerc.) Exemplu: ACAD4_9. avem linia: (. (0 . apare o noua linie cu lista: (.0 Enter second point: 7..0 0. cercurilor si poliliniilor.0.0.. se poate "sparge" o entitate in doua. eventual se creeaza o entitate noua (arc sau linie).primul punct al portiunii eliminate Enter second point: punct . Se poate aplica liniilor. . insotita de punctul prin care se face selectarea Enter second point (or F for first point): F . cele doua puncte (capetele arcului eliminat) se vor da in sens trigonometric. "LINE") . (10 0.0 0.0) (11 2. "LINE") ...selecteaza o entitate de tip LINE..) Introducem: Command: Break Select object: 5.0 0. BREAK@ divide entitatea selectata in doua parti.0 0.0 0. nu se poate aplica cercurilor. (10 0..indica AutoCAD-ului ca urmeaza sa fie indicate doua puncte (altfel unul din cele doua puncte ar fi fost cel prin care s-a selectat linia) Enter first point: punct .lista entitatii originale: .0 0. iar polilinia in doua polilinii. "LINE") ..) si..0) (11 10. arcelor.0) .0 0.BMP. De asemenea.. Exemplu de dialog: Command: Break lansarea comenzii BREAK Select object: select .0 Enter second point (or F for first point): F Enter first point: 2.... se pot sterge portiuni dintr-o entitate. cercurile se transforma in arce.

specificarea (prin punctare) entitatii ce va fi copiata (se repeta pana la apasarea tastei Enter) Side to offset: punct .0 0.) ..75) (51 .3 10..AutoCAD-ul cere distanta dintre viitoarele entitati paralele.distanta de copiere: 5 . paralela cu originalul..0 5.0) (40 .) .0 0.6 0. linia originala ramane neschimbata si apare o linie cu lista: (.0) (11 10. (10 0. "0") (10 7. "0") (10 7.un punct oarecare din plan. Exemplu: ACAD4_10. "ARC") (8 .inchiderea comenzii Daca la cererea "Offset distance or Through" se raspunde cu "T". distanta va fi 10..3 10.ca rezultat al aplicarii comenzii OFFSET. "CIRCLE") (8 .0) . se poate vedea efectul folosind comanda ELIST definita prin programul prezentat in sectiunea despre AutoLISP..0) . 5.partea in care se face copierea: indicata prin punctul (1. Select object to offset: punct . (0 .0 5...96) (50 .) Offset Comanda OFFSET creeaza o copie a entitatii selectate.) Pentru situatii mai complicate.) ..0 0.BMP.) . Dialog: Command: Offset lansarea comenzii OFFSET Offset distance or Through <Through>: 10 . entitatea nou creata va trece prin punctul indicat la cererea "Side to offset"..lista entitatii rezultate: (. (10 0.. este mai rapida decat comanda COPY. Pentru linii paralele.. razele se vor modifica in functie de distanta de copiere.. . (0 .linia originala: (. elipse)..( .97) (210 ...0 0.0) (11 10. situat de acea parte a entitatii de copiat in care se va face copierea. (0 .0 1... 0..96) (210 . 0.0. la distanta specificata.0 0.6 0.0 1.. Select object to offset: Enter .0 0... In cazul copierii curbelor (polilinii.0) . 0. cercuri. "LINE") . arce. (0 .... "LINE") .0) (40 . Iata ce se intampla in baza de date in cazul copierii unei linii: .

de exemplu). Pentru racordari de drepte 3D situate in alt plan dacat x0y.selectarea celor doua entitati . Optiunea "Polyline" se foloseste pentru racordarea tuturor componentelor unei polilinii. de tip "ARC". Dialogul decurge astfel: Command: Fillet lansarea comenzii FILLET Polyline/ Radius/ <Select two objects>: R .BMP. Nu se vor racorda segmentele pentru a caror lungime raza de racordare este prea mare. se va folosi comanda UCS. se anuleaza comanda cu Undo. CIRCLE sau POLYLINE. se va obtine un arc intre cele doua segmente.relansarea comenzii (raza implicita este cea introdusa anterior) Polyline/ Radius/ <Select two objects>: .noua raza este 15 Command: Enter .BMP. Entitatile racordate nu trebuie sa fie neaparat de acelasi tip (se poate racorda o linie cu un cerc.dupa selectarea (prin punctare) a doua entitati. sau cercuri) vor fi scurtate sau prelungite astfel incat sa se intalneasca cu arcul trasat. ARC. se va desena arcul Cele doua linii (sau arce. este posibil ca rezultatul sa nu fie cel dorit. Raza de racordare implicita este 0. ceea ce determina unirea celor doua linii selectate (se poate folosi uneori in loc de EXTEND si TRIM). si se reincearca FILLET.Fillet Comanda FILLET permite racordarea a doua entitati de tip LINE. Racordarea consta in unirea capetelor entitatilor selectate printr-un arc de cerc de raza specificata.fig. Optiunea "Polyline" determina trasarea de arce intre toate segmentele poliliniei selectate. Modificarea razei determina modificarea valorii variabilei FILLETRAD. Exemple: Racordarea dintre doua drepte printr-un arc de cerc de raza R.definirea razei de racordare Enter new radius <0. Atentie! Functioneaza numai in plan. In acest caz. Centrul se afla la intersectia paralelelor duse fata de cele doua drepte la distanta R .0>: 15 . La racordarea arcelor si cercurilor. Daca se selecteaza doua segmente alaturate dintr-o polilinie (fara optiunea "Polyline"). .fig. Racordarea unei drepte cu un cerc (sau arc de cerc) . ACAD4_12. In baza de date apare o noua entitate. ACAD4_11.

Cele doua linii trebuie sa se intersecteze (nu se pot racorda sau tesi doua linii paralele). Posibilitatile sale sunt urmatoarele: . dar in loc de arc. Daca ambele distante sunt 0.0>: 1 . Un alt avantaj al poliliniilor este faptul ca pot avea latime nenula (arcele si liniile au latime nula).deschiderea sau inchiderea unei polilinii . de-a lungul primei linii selectate Enter second chamfer distance<0.distanta de la intersectie. ca o singura entitate.punctare pe una din linii . Optiunea "Polyline" determina tesirea poliliniilor similar cu racordarea acestora (vezi comanda FILLET).inserarea de noi vertexuri sau stergerea unora existente .relansarea comenzii CHAMFER Polyline/ Distances/ <Select first line>: . Modul in care se face tesirea este determinat de cele doua distante. PEDIT este o comanda speciala de editare a poliliniilor.separarea segmentelor poliliniei . de-a lungul celeilalte linii Command: Enter .adaugarea de noi segmente .transformarea liniilor sau arcelor in polilinii .Chamfer CHAMFER (tesire) functioneaza ca si FILLET.rezulta segmentul de tesire si ajustarea celor doua linii in functie de acesta. Se poate aplica numai liniilor si poliliniilor.0>: 1 . Pedit (editarea poliliniilor) Polilinia este o entitate complexa.mutarea vertexurilor .distanta de la intersectie. se obtine intersectia liniilor selectate. corespunzatoare celor doua linii selectate (variabilele CHAMFERA si CHAMFERB).urmeaza specificarea distantelor Enter first chamfer distance<0.lansarea comenzii CHAMFER Polyline/ Distances/ <Select first line>: D . deseneaza intre cele doua linii un segment de dreapta.selectarea primei linii.punctare pe a doua linie . Dialogul este: Command: Chamfer .concatenarea poliliniilor (transformarea a doua polilinii intr-una singura) . Aceste obiecte (linii si arce) vor putea fi manipulate impreuna. corespunzatoare primei distante specificate Select second line: . alcatuita dintr-un sir de linii si arce.schimbarea latimii poliliniei .

)..... O polilinie completa este definita printr-o succesiune de liste..0 10. "LINE") (10 0. (.. in radiani.0) (11 10.. "VERTEX") .. lista vertexului (pe scurt) este: (.. polilinie 3D (3DPOLY).anularea interpolarii (Decurve).. astfel: (.linia este: (. suprafete (MESH). urmatoarele (VERTEX) contin coordonatele punctelor prin care trece polilinia.0 10. raspunsul AutoCAD-ului este Entity selected is not a polyline.0) (42 .. Continutul listei 42 este un numar care reprezinta tg(u/4).0 10. Un segment este o entitate de tip "LINE" sau "ARC".0 0. O polilinie consta intr-o insiruire de vertexuri...0 0.15) . in functie de polilinia selectata: polilinie 2D (PLINE).. Daca este vorba de un arc. "VERTEX") (10 10.) Prima lista (POLYLINE) cuprinde informatii generale referitoare la polilinie. Daca este un semicerc... Aici ne vom ocupa numai de poliliniile 2D. (0 .). unde u este marimea arcului.interpolarea unei polilinii (Spline) sau transformarea ei intr-o curba (Fit) . Comanda PEDIT poate lucra in trei moduri. 1). Ex: .. 0. (0 . lista va fi (42 . mai apare lista 42: (.) .0 0. (0 . Daca este o linie.) (. "VERTEX") (10 10.. (0 . "POLYLINE") .0) .... Do you want to turn it into one? <Y>: Daca dorim sa transformam linia selectata intr-o polilinie.0 0.. Prin vertex se intelege un punct care separa doua segmente de polilinie.... (0 .. Dialogul pentru editarea unei polilinii incepe asa: Command: PEDIT Select polyline: (selectarea unei polilinii) Close/ Join/ Width/ Edit vertex/ Fit curve/ Spline curve/ Decurve/ Undo/ eXit<X>: Transformarea unei linii intr-o polilinie Daca la "Select polyline" se selecteaza o linie.. "SEQEND") .) . iar ultima (SEQEND) marcheaza sfarsitul succesiunii de liste care definesc polilinia respectiva..0 0.0) . (0 .. apasam Enter sau "Y" si linia va fi transformata intr-o polilinie cu doua vertexuri corespunzatoare capetelor sale.

0 0. "VERTEX") (10 377.. in locul optiunii CLOSE apare OPEN. dar in loc de "Close" apare "Open"..796 407. 0. (0 ..) (..495 383. 2. (0 ... / eXit <X>: Enter . 0...polilinia in care este transformata: (. 0... "VERTEX") (10 659.609) .. Un cerc nu poate fi transformat in polilinie (pentru ca nu are capete). (0 . (0 .alegerea optiunii CLOSE Close/ .0) (42 ....0 0.263 0... "VERTEX") (10 0. 162.... "POLYLINE") .747) . "SEQEND") . Exemplu: Command: Pedit lansarea comenzii PEDIT Select polyline: selectarea unei polilinii Close/ . pentru arc: .0) (42 .polilinia: (..terminarea editarii poliliniei Acum polilinia este inchisa.. "POLYLINE") ..) (. Close (Open) Daca polilinia este inchisa.177) (50 ..0 10.609) . "VERTEX") (10 10...) Optiunile comenzii PEDIT In urma selectarii unei polilinii.0) .) (... Iata ce se intampla in lista poliliniei: ...543 0. / eXit <X>: C . se poate transforma in polilinie si un arc..) (.. Ex..) (. "SEQEND") .165 0. Pentru deschiderea ei se procedeaza la fel. apare lista optiunilor: Close/ Join/ Width/ Edit vertex/ Fit curve/ Spline curve/ Decurve/ Undo/ eXit <X>: Fiecare din aceste optiuni poate fi considerata o comanda de editare.arcul: (.. (0 .0 0.) (... (0 ... (0 .237 321...) .0) .. (0 . (0 .558) (51 .0) (40 .) La fel.. "ARC") (10 522.

. /eXit <X>: W .. Liniile si arcele sunt automat convertite in segmente de polilinie.terminarea editarii poliliniei In baza de date vor apare noi vertexuri....selectarea entitatilor de adaugat 5 segments added to polyline . Exemplu: Command: Pedit lansarea comenzii PEDIT Select polyline: selectarea unei polilinii Close/ . (70 .... (0 . 1) ..) Join Optiunea JOIN permite adaugarea la o polilinie a unui arc. Exemplu de dialog: Command: Pedit lansarea comenzii PEDIT Select polyline: selectarea unei polilinii Close/ Join/ . (0 . Width Unul din avantajele utilizarii poliliniilor este ca acestea pot avea latime variabila. si vor dispare liniile. Noua latime va fi constanta pe intreaga lungime a poliliniei. "POLYLINE") . Cu optiunea "W" a comenzii PEDIT se poate schimba aceasta latime..... / Width/ . corespunzatoare segmentelor adaugate... / eXit <X>: Enter ....AutoCAD a adaugat 5 noi segmente la polilinia selectata Close/ Join/ . O entitate adaugata unei polilinii primeste atributele acesteia.. / eXit <X>: J ..dupa inchidere: (.alegerea optiunii JOIN Select objects: select ..) .. / eXit <X>: Enter . (70 ..latimea va fi 4 pentru toate segmentele poliliniei Close/ Join/ .terminarea editarii poliliniei . "POLYLINE") .inainte de inchidere: (. a unei linii sau polilinii.alegerea optiunii WIDTH Enter new width for all segments: 4 . arcele sau poliliniile transformate in vertexuri ale primei polilinii. 0) .

ramanand in PEDIT: . Splinetype poate lua valorile: 5 .. 16).. cat si curba creata prin SPLINE.. (0 . (70 .. (0 .vertex de control pentru curba interpolata (exista . 8) . Exemple pentru FIT si SPLINE .Spline quadratic 6 . Cu PEDIT WIDTH se va modifica continutul acestor subliste. Undo Aceasta optiune permite anularea ultimei subcomenzi....) . corespunzatoare latimii initiale si finale.. ramanand doar cele cu sublista (70 . astfel: unul tangent la primul vertex. Daca este 0.. 16) . "VERTEX") .In baza de date. polilinia originala nu va fi desenata dupa interpolare. (70 ..ACAD4_13. (70 .) in polilinia originala) (. "VERTEX") .. Daca este 1. Rolul ei este de a transforma o curba in polilinia din care provine. pentru fiecare vertex cu latime nenula apar sublistele 40 si 41..vertex creat prin FIT.vertex creat prin SPLINE . Splinesegs este un numar intreg care stabileste numarul de segmente generate prin SPLINE. Spline Optiunea SPLINE permite interpolarea unei polilinii pe baza metodei "B-Spline". Decurve Aceasta optiune este opusa optiunilor FIT si SPLINE.) (. celalalt tangent la primul arc si la urmatorul vertex.BMP. "VERTEX") . Curba va fi alcatuita din arce. Interpolarea este controlata de trei variabile: SPLINETYPE.. va fi afisata atat polilinia originala. SPLINESEGS si SPLFRAME.. Doua vertexuri consecutive vor fi legate prin doua arce. In baza de date a AutoCAD-ului vor fi intercalate (in secventa corespunzatoare poliliniei selectate) un numar de vertexuri intermediare. Prin DECURVE vor fi eliminate vertexurile suplimentare.. Fit curve Optiuni FIT transforma polilinia selectata intr-o curba ce trece prin fiecare vertex... 1) . Splframe poate fi 0 sau 1.Spline cubic. Diferentierea vertexurilor originale de cele intercalate se face prin continutul sublistei 70: (. si nu poate fi folosita decat dupa una dintre acestea.. (0 . Modificarea latimii pentru fiecare vertex in parte se poate face cu subcomanda "EDIT VERTEX".

Close/ . Tangent .paraseste subcomanda.memoreaza vertexul marcat si permite selectarea altuia. / Undo / eXit <X> : Edit vertex Subcomanda EDIT VERTEX permite editarea fiecarui vertex in parte.).muta "X" pe vertexul precedent Break .modificarea proprietatilor entitatilor selectate Copy . Se poate elimina apoi portiunea din polilinie cuprinsa intre cele doua vertexuri. Width ..copiere multipla sub forma de matrice sau pe un contur circular a entitatilor selectate Attedit .copierea entitatilor selectate DDatte . revenind in PEDIT. Insert .editarea atributelor Break .tesire Change .ataseaza vertexului marcat o directie tangenta.permite mutarea vertexului marcat Regen ..editarea atributelor printr-o fereastra de dialog . "VERTEX") . La inceput.elimina o portiune din entitatea selectata Chamfer .muta "X" pe vertexul urmator Previous .. Listele modificate sunt cele corespunzatoare vertexului selectat: (.regenereaza polilinia Straighten ... ce va fi utilizata la rotunjirea ulterioara a poliliniei..AutoCAD Release 11): Array . apare un "X" pe primul vertex al poliliniei si prompterul: Next/ Previous/ Break/ Insert/ Move/ Regen/ Straighten/ Tangent/ Width/ eXit <N>: Next ..modifica latimea poliliniei dupa vertexul marcat..adauga un nou vertex dupa cel marcat Move . Lista completa a comenzilor de editare (in ordine alfabetica . (0 . Se poate inlocui apoi portiunea dintre cele doua vertexuri cu un segment de dreapta. eXit .modificarea proprietatilor sau pozitiei entitatilor selectate Chprop .memoreaza vertexul marcat si permite selectarea altuia. / Undo / eXit <X> : U Close/ .

determinarea lungimii entitatii selectate in functie de unitatea de masura specificata Mirror .copiere paralela Oops .subcomanda care creeaza o multime de selectie Stretch .mutarea entitatilor selectate Offset .scurtarea entitatilor selectate ("tundere" dupa un contur) .) Rotate .impartirea unei entitati in parti egale si marcarea acestora Erase .DDedit .rotirea entitatilor selectate Scale .editare prin fereastra de dialog Divide .racordare Measure . straturi ..stergerea entitatilor selectate Explode .elimina din baza de date entitatile neutilizate (blocuri.copiere in oglinda Move .editarea poliliniilor Purge .transformarea entitatilor complexe in entitatile simple din care sunt alcatuite Extend .modifica dimensiunile obiectelor (le intinde) Trim .recuperarea entitatilor sterse cu ultima comanda ERASE Pedit ..marirea/ micsorarea la scara a entitatilor selectate Select .prelungirea entitatilor selectate pana la un contur definit anterior Fillet .

Sign up to vote on this title
UsefulNot useful